Instale libffmpeg para Vivaldi em Linux como no Debian


  • Moderator

    [quote=gwen-dragon] Para decodificar transmissão de fluxo contínou de audio e/ou vídeo, Vivaldi utiliza codecs disponíveis no linux. em algumas circunstâncias existe a necessidade da intalação de um pacote extra de bibliotecas para a executar H.264, MP3, MP4 .....[/quote] Continua [url=https://labs.gwendragon.de/blog/Web/Browser/Vivaldi/instale-libffmpeg-para-vivaldi-em-linux-como-no-debian]aqui[/url] Autoria de [url=https://vivaldi.net/en-US/easysocial-dashboard/profile/gwen-dragon]Gwen-Dragon[/url]



  • brigadissimo.

    deu certo demais, tava sem ver videos de outros sites a nao ser do youtube.


  • Moderator

    de nada! estamos aí para isso.
    o script da gwen precisa ser executado a cada nova versão do Vivaldi.


  • Moderator


  • Moderator

    Atualização do script vivaldi-libffmpeg-install 1.0.5

    • Corrige um erro que ocorria na detecção da versão do Chrome

  • Moderator

    Atualização do script vivaldi-libffmpeg-install 1.0.6

    Novo Recurso: caso o pacote libffmpeg não esteja disponível para o Vivaldi, o script tenta buscar a versão correspondente de um pacote opera-libffmpeg.

    Mudanças no script vivaldi-libffmpeg-install Beta

    • alterações em algumas opções na linha de comando
    • [Recurso] adicionada funcionalidade de trazer a libffmpeg compatível do opera. Se existir, haverá um backup para libffmpeg.

  • Moderator

    Atualização do script vivaldi-libffmpeg-install-1-1-1-en

    Esse script somente é executável para Debian e *buntu. Perdão. Os demais OS, como Arch ou variantes já tem o chromium-codecs-ffmpeg-extra, ou um pacote dedicado exclusivamente ao Vivaldi em algum Repositório mantido pelo responsável

    !!! Por favor, Atenção !!!
    
    • Verifique se você possui qualquer versão antiga da libffmpeg em /opt/vivaldi*/lib ou /opt/vivaldi*/ folders e delete-os.
      Se você utilizou meu antigo script para atualizar a libffmpeg no passado, ele copiaria a libffmpeg.so para as pastas do Vivaldi.
      A existência de tais antigas bibliotecas pode causar crash no Vivaldi com áudio ou vídeo. No antigo modo para corrigir problemas de vídeo codec no Vivaldi, copiando a biblioteca manualmente foi uma boa e útil solução, entretanto agora não é permitido devido a uma falta no Vivaldi: haviam algumas mudanças em versões antigas do Vivaldi, portanto essa forma de cópia não é mais necessária.
    • Então reinstale sua mais recente versão do Vivaldi emitindo os seguintes comandos:
    apt-get install --reinstall vivaldi-stable
    
    apt-get install --reinstall vivaldi-snapshot
    
    • Caso você tenha incluído .vivaldi-libffmpeg-install.sh como um cronjob, por favor, primeiro atualize seu cronjob com a seguinte entrada:
    vivaldi-libffmpeg-install.sh -c
    
    • Inicie a atualização com segue abaixo:
    vivaldi-libffmpeg-install.sh -f
    

    Alterações (desde 1.1.0 BETA)

    Modificações nas opções da linha de comando
    Exclusivamente para Debian e afins (*buntu e Debian), gera um alerta se o SO for diferente
    Removido o download do repo Herecura
    Removido o download da libffmpeg compatível do Opera
    [Nova função] força a instalação sobre uma existente chromium-codecs-ffmpeg-extra
    [Nova função] cronjob para verificação diária de novas atualizações pode ser instalado

    Autora: Gwen-Dragon


  • Moderator

    Atualização do script vivaldi-libffmpeg-install-1-1-3-en

    Veja Antes
    Se você incluiu vivaldi*-libffmpeg-install.sh como um cronjob, por favor, atualize a primeiro a entrada no cron usando o comando abaixo:
    vivaldi*-libffmpeg*-install.sh -c

    Inicie a atualização da libffmpeg com o comando abaixo:
    vivaldi*-libffmpeg-install.sh -f

    Alterações (desde 1.1.2 Beta)
    Automatical remove of older user-copied /opt/vivaldi*/libffmpeg.so because the lib is not needed any more.


Log in to reply
 

Looks like your connection to Vivaldi Forum was lost, please wait while we try to reconnect.